# PhasicFlow: pointSorting Class Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

pointSorting Class Reference
Collaboration diagram for pointSorting:
[legend]

## Public Member Functions

| pointSorting (const dictionary &dict)
bool | performSorting () const
bool | sortTime (uint32 iter, real t, real dt) const
uint32IndexContainer | getSortedIndices (const box &boundingBox, const ViewType1D< realx3 > &pos, const pFlagTypeDevice &flag) const

## Private Attributes

Logical | performSorting_
baseTimeControl | timeControl_
real | dx_

## Detailed Description

Definition at line 34 of file pointSorting.hpp.

## Constructor & Destructor Documentation

## pointSorting()

pointSorting | ( | const dictionary & | dict | ) |

explicit

Definition at line 24 of file pointSorting.cpp.

References END_REPORT, pointSorting::performSorting_, REPORT, and Yellow_Text.

## Member Function Documentation

## performSorting()

bool performSorting | ( |  | ) | const

inline

Definition at line 48 of file pointSorting.hpp.

References pointSorting::performSorting_.

## sortTime()

bool sortTime | ( | uint32 | iter,
|  | real | t,
|  | real | dt
| ) |  | const

inline

Definition at line 53 of file pointSorting.hpp.

References pointSorting::performSorting_, pointSorting::timeControl_, and baseTimeControl::timeEvent().

Here is the call graph for this function:

## getSortedIndices()

pFlow::uint32IndexContainer getSortedIndices | ( | const box & | boundingBox,
|  | const ViewType1D< realx3 > & | pos,
|  | const pFlagTypeDevice & | flag
| ) |  | const

Definition at line 45 of file pointSorting.cpp.

References pFlow::getSortedIndices().

Here is the call graph for this function:

## Member Data Documentation

## performSorting_

Logical performSorting_

private

Definition at line 38 of file pointSorting.hpp.

Referenced by pointSorting::performSorting(), pointSorting::pointSorting(), and pointSorting::sortTime().

## timeControl_

baseTimeControl timeControl_

private

Definition at line 40 of file pointSorting.hpp.

Referenced by pointSorting::sortTime().

## dx_

real dx_

private

Definition at line 42 of file pointSorting.hpp.

The documentation for this class was generated from the following files:

- src/phasicFlow/structuredData/pointStructure/pointStructure/pointSorting/pointSorting.hpp
- src/phasicFlow/structuredData/pointStructure/pointStructure/pointSorting/pointSorting.cpp